Subject: bug#71679: 29.3; treesit-node-child function chokes and crashes emacs for nodes with large number of child nodes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Jun 2024 08:55:53 +0300

> From: Mauritz Stenek <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 20 Jun 2024 13:46:14 -0600
> 
> On 2024-06-20 at 13:22, Eli Zaretskii <[email-masked]> wrote:
> 
> > Actually, forget it.  I've succeeded in reproducing this here, 
> > and I
> > see that this problem was already fixed in the development 
> > sources.
> > The next Emacs release will have the bug fixed.
> >
> > So I think we can close this bug.
> 
> Awesome, I'll practice patience -- with huge effort! -- till the 
> next release.

As luck would have it, we will have an emergency release of Emacs 29.4
in a couple of days, due to a security vulnerability, so you should be
able to have it sooner rather than later.